> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter assinatura

> Retorna uma assinatura com estado atual, oferta vigente e próximas cobranças agendadas.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/subscriptions/{id}
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/subscriptions/{id}:
    get:
      tags:
        - Assinaturas
      summary: Obter assinatura
      description: >-
        Retorna uma assinatura com estado atual, oferta vigente e próximas
        cobranças agendadas.
      operationId: getCommerceSubscription
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - accessUntil
                  - amountMinor
                  - billingInterval
                  - cancelAtPeriodEnd
                  - cancellation
                  - createdAt
                  - currency
                  - currentPeriodEnd
                  - currentPeriodStart
                  - customerId
                  - gracePeriodDays
                  - id
                  - intervalCount
                  - nextBillingAt
                  - offerId
                  - offerName
                  - orderId
                  - paymentMethod
                  - priceId
                  - productId
                  - productImageUrl
                  - productName
                  - renewalStoppedAt
                  - status
                  - updatedAt
                  - version
                properties:
                  accessUntil:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  amountMinor:
                    type: integer
                    minimum: 1
                    maximum: 9007199254740991
                  billingInterval:
                    type: string
                    enum:
                      - MONTH
                      - YEAR
                  cancelAtPeriodEnd:
                    type: boolean
                  cancellation:
                    anyOf:
                      - type: object
                        additionalProperties: false
                        required:
                          - id
                          - requestedAt
                          - resolvedAt
                          - status
                        properties:
                          id:
                            type: string
                            format: uuid
                          requestedAt:
                            type: string
                            format: date-time
                          resolvedAt:
                            anyOf:
                              - type: string
                                format: date-time
                              - type: 'null'
                          status:
                            type: string
                            enum:
                              - PENDING
                              - CONFIRMED
                              - REQUIRES_REVIEW
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  currency:
                    type: string
                    enum:
                      - BRL
                  currentPeriodEnd:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  currentPeriodStart:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  customerId:
                    type: string
                    format: uuid
                  gracePeriodDays:
                    type: integer
                    minimum: 0
                  id:
                    type: string
                    format: uuid
                  intervalCount:
                    type: integer
                    minimum: 1
                  nextBillingAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  offerId:
                    type: string
                    format: uuid
                  offerName:
                    type: string
                    minLength: 1
                    maxLength: 120
                  orderId:
                    type: string
                    format: uuid
                  paymentMethod:
                    type: string
                    enum:
                      - PIX
                      - CARD
                  priceId:
                    type: string
                    format: uuid
                  productId:
                    type: string
                    format: uuid
                  productImageUrl:
                    anyOf:
                      - type: string
                        maxLength: 2048
                      - type: 'null'
                  productName:
                    type: string
                    minLength: 1
                    maxLength: 120
                  renewalStoppedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - ACTIVE
                      - CANCELED
                      - EXPIRED
                      - PAST_DUE
                      - PENDING_AUTHORIZATION
                  updatedAt:
                    type: string
                    format: date-time
                  version:
                    type: integer
                    minimum: 1
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.